NTPTRACE(1)

NAME
ntptrace - trace peers of an NTP server

SYNOPSIS

ntptrace [-V | --version] [-n |--numeric]
    [-m number | --max-hosts=number]
    [-r host | --host=remote]
    hostname

DESCRIPTION

ntptrace is a python script that uses the ntpq utility program to follow the chain of NTP servers from a given host back to the primary time source.

For ntptrace to work properly, each of these servers must implement the NTP Control and Monitoring Protocol specified in RFC 1305 and enable NTP Mode 6 control packets. Nowadays it is usual for public timeservers to disable Mode 6 queries, so this script is unlikely to be very useful unless you have a collection of specially-configured timeservers on your LAN.

If given no arguments, ntptrace starts with localhost. Here is an example of the output from ntptrace:

    % ntptrace
    localhost: stratum 4, offset 0.0019529, synch distance 0.144135
    server2ozo.com: stratum 2, offset 0.0124263, synch distance 0.115784
    usndh.edu: stratum 1, offset 0.0019298, synch distance 0.011993, refid 'GPS'

On each line, the fields are (left to right): the host name, the host stratum, the time offset between that host and the local host (as measured by ntptrace; this is why it is not always zero for "localhost"), the host synchronization distance, and (only for stratum-1 servers) the reference clock ID. All times are given in seconds. Note that the stratum is the server hop count to the primary source, while the synchronization distance is the estimated error relative to the primary source. These terms are precisely defined in RFC 1305.

OPTIONS

-n, --numeric
    Print IP addresses instead of hostnames.

    Output hosts as dotted-quad numeric format rather than converting to the canonical host names.

-m number, --max-hosts=number
    Maximum number of peers to trace. This option takes an integer number as its argument. The default number for this option is 99.

-r string, --host=string
    Trace a single remote host.

-V, --version
    Print the version string and exit.

EXIT STATUS

One of the following exit values will be returned:

0 (EXIT_SUCCESS)
    Successful program execution.

1 (EXIT_FAILURE)
    The operation failed or the invocation was not valid.